variables :
  APP_DIR: $CI_PROJECT_DIR/app/
  API_DIR: $CI_PROJECT_DIR/api/

stages:
  - build
  - deploy
  
test:
  stage: build
  image: tmaier/docker-compose:latest
  services:
    - docker:dind
  script:
    - docker-compose up --build -d
    - ./run-test.sh

deploy:
  stage: deploy
  image: ruby:2.5.5-alpine3.10
  before_script:
    - apk update
    - apk add ruby-dev git curl
    - gem install dpl

  script:
    - cd $APP_DIR
    - dpl --provider=heroku --app=initproject-app --api-key=$HEROKU_PRODUCTION_API_KEY
    - cd $API_DIR
    - dpl --provider=heroku --app=initproject-api --api-key=$HEROKU_PRODUCTION_API_KEY

  only:
    - master
  